Subject: Re: MVME 2306 almost up and running

From: Michael Lundkvist <[email-masked]>
Date: 22 Mar 1999 12:06:13 +0100

David De Ridder <[email-masked]> writes:

> - In the server's /var/adm/messages, I also get (I stripped the dates) :
>   ``elpc6 mountd[67]: NFS mount of /export attempted from 143.169.5.29
>     elpc6 mountd[67]: /export has been mounted by 143.169.5.29''
> 
>    If my /etc/exports is incorrect, I get the expected messages in syslog.
>    But this is not the case now, since the board is valid client.
>  - However, then, after initializing the serial console (I think), the
>    board says :
>    ``Kernel panic: no init found. Try passing init= option to kernel.''
> 
> So, I'm stuck. FTR, I tried using the init= option, e.g. ``init=/bin/sh''.
> The relevant line in my /etc/exports is :
> 
> ``/export/        elvme1.uia.ac.be(rw,no_root_squash,insecure)''
> 
> The insecure option is AFAIK not necessary, and initially I left it out.
> I've also tried ``nfsroot=/export'', but with no effect.
> 
> One other thing : I've tried exporting the same filesystem (/export/) to
> DECstation 3100. Something strange goes on : I export it rw, when I mount
> it, the DEC recognizes it as rw, but I only have ro access ! I can
> browse directories, read files, but NOT create files or change their
> timestamp.  Maybe this is a DEC problem (it's pretty old), or caused by
> the reason I don't know. 
> 
> Any help is appreciated,
> 

Could it be a problem with library versions? Both /bin/sh and
/sbin/init are dynamically linked against libc and I remeber having
problems when I accidently used a libc from R5 with a binary from R4.

Here is the versions I run now:

[root@tss236 /root]# rpm -q SysVinit-2.76-2 glibc
SysVinit-2.76-2
glibc-2.1-1a

/Micke

--
Michael Lundkvist
Epact Technology AB
[email-masked]

[[ This message was sent via the linuxppc-dev mailing list.  Replies are ]]
[[ not  forced  back  to the list, so be sure to Cc linuxppc-dev if your ]]
[[ reply is of general interest. Please check http://lists.linuxppc.org/ ]]
[[ and http://www.linuxppc.org/ for useful information before posting.   ]]